#!/bin/sh
MSPPROG=/opt/gira/bin/mspprogram
MSPFIRM=/opt/gira/share/knxstack/msp/gira_linklayer_msp.a43
# execute mspprogram first if the program and firmware are present
if [ -e ${MSPPROG} -a -e ${MSPFIRM} ]
then
  ${MSPPROG} -f ${MSPFIRM}
fi

trapFunction()
{
  trap - SIGHUP SIGINT SIGTERM
  kill $PID
  exit 0
}

# Start the KNX Stack.
/opt/gira/bin/knxstack $@ &
PID="$!"

trap trapFunction SIGHUP SIGINT SIGTERM

wait $PID

exit 0